pop3k Posted April 25, 2023 Report Share Posted April 25, 2023 Cześć, zauważyłem kolejny błąd w ZWCAD, proszę o pomoc w możliwościach. Napisałem sobie taki prosty kod ze wstawieniem bloku. Blok posiada okrąg i atrybuty. Zauważyłem, że po kolejnym wstawieniu bloku lokalizacja względem obiektu - kwadrant koła - przestaje działać na bloku. Wszystko przedstawia poniższy filmik. Kod: Private Sub CommandButton1_Click() UserForm1.hide Dim BlockRef As ZcadBlockReference Dim BlockAttributes As Variant Dim PIERWSZY As Variant Dim FileToInsert As String PIERWSZY = ThisDrawing.Utility.GetPoint(, "Podaj punkt P1") FileToInsert = "C:\e-cad\e-cad Zelbet Stal Drewno\Bloki\Opisy\e-cad_ZelbetOpis_7.dwg" Set BlockRef = ThisDrawing.ModelSpace.InsertBlock(PIERWSZY, FileToInsert, 1, 1, 1, 0) BlockAttributes = BlockRef.GetAttributes BlockAttributes(0).TextString = "blok" BlockRef.Update Exit Sub End Sub (W kodzie dodałem na końcu Exit Sub, bo myślałem, że obiekt gdzieś wiruje w tle ale to nic nie dało. W filmiku tego Exit Sub nie było) Filmik: http://cloud.movavi.com/show/47b0ff05-a0a5-4862-8df1-0a48f3990d14 Quote Link to comment Share on other sites More sharing options...
kruszynski Posted April 26, 2023 Report Share Posted April 26, 2023 Potwierdzam zaistniały problem, przekazałem zgłoszenie do ZWSoft. Quote Link to comment Share on other sites More sharing options...
dmatusz3 Posted April 27, 2023 Report Share Posted April 27, 2023 Mamy potwierdzenie od ZWSOFT. Zgłoszenie ma numer SUP-59020 Quote Link to comment Share on other sites More sharing options...
pop3k Posted June 5, 2023 Author Report Share Posted June 5, 2023 Macie może informacje czy w wersji 2024 zostało to poprawione? Quote Link to comment Share on other sites More sharing options...
kruszynski Posted June 6, 2023 Report Share Posted June 6, 2023 Otrzymałem informacje z ZWSoft myśl których w kodzie po BlockRef.Update potrzebne jest dodanie Dim ent As ZcadEntity Dim blkref As ZcadBlockReference For Each ent In ThisDrawing.ModelSpace If TypeOf ent Is ZcadBlockReference Then Set blkref = ent If blkref.Name = "e-cad_ZelbetOpis_7" Then ent.Update End If End If Next Quote Link to comment Share on other sites More sharing options...
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.